# Method: pos.sale

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.PosSaleResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#body.aspect)
- [PosSaleRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#PosSaleRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#PosSaleRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#try-it)

Submit a sale event for the given merchant.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/pos/{targetMerchantId}/sale`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the POS or inventory data provider. |
| `targetMerchantId` | `string` The ID of the target merchant. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/sale#PosSaleRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "storeCode": string, "itemId": string, "targetCountry": string, "contentLanguage": string, "gtin": string, "price": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`) }, "quantity": string, "timestamp": string, "saleId": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#posSaleResponse`". |
| `storeCode` | `string` Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile. |
| `itemId` | `string` Required. A unique identifier for the item. |
| `targetCountry` | `string` Required. The [CLDR territory code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml) for the item. |
| `contentLanguage` | `string` Required. The two-letter ISO 639-1 language code for the item. |
| `gtin` | `string` Global Trade Item Number. |
| `price` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`)`` Required. The price of the item. |
| `quantity` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The relative change of the available quantity. Negative for items returned. |
| `timestamp` | `string` Required. The inventory timestamp, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. |
| `saleId` | `string` A unique ID to group items from the same sale event. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PosSaleRequest

| JSON representation |
|---|
| ``` { "storeCode": string, "itemId": string, "targetCountry": string, "contentLanguage": string, "gtin": string, "price": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`) }, "quantity": string, "timestamp": string, "saleId": string } ``` |

| Fields ||
|---|---|
| `storeCode` | `string` Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile. |
| `itemId` | `string` Required. A unique identifier for the item. |
| `targetCountry` | `string` Required. The [CLDR territory code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml) for the item. |
| `contentLanguage` | `string` Required. The two-letter ISO 639-1 language code for the item. |
| `gtin` | `string` Global Trade Item Number. |
| `price` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`)`` Required. The price of the item. |
| `quantity` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The relative change of the available quantity. Negative for items returned. |
| `timestamp` | `string` Required. The inventory timestamp, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. |
| `saleId` | `string` A unique ID to group items from the same sale event. |